#include <TinyGPS++.h>
#include <SoftwareSerial.h>

static const int RXPin = 6, TXPin = 5;                      //can change these for fianl 
static const uint32_t GPSBaud = 9600;                       //DO NOT CHANGE

TinyGPSPlus gps;

SoftwareSerial ss(RXPin, TXPin);

void setup()
{
  Serial.begin(9600);
  ss.begin(GPSBaud);
}

void loop()
{
  
  while (ss.available() > 0)                                   // This displays information every time a new sentence is correctly encoded from chip + the delay at the line 42
    if (gps.encode(ss.read()))
      displayInfo();

  if (millis() > 5000 && gps.charsProcessed() < 10)
  {
    Serial.println(F("No GPS detected: check wiring."));
    while(true);
  }
}

void displayInfo()
{
  Serial.print(F("Location: ")); 
  if (gps.location.isValid())
  {
    Serial.print(F("Lat:"));
    Serial.print(gps.location.lat(), 6); //for screen use var: to display this value
    Serial.print(F("         "));
    Serial.print(F("Lng:"));
    Serial.print(gps.location.lng(), 6); //for screen use var: to display this value
    Serial.print(F("       "));
    Serial.print(F("Course  "));
    Serial.print(gps.course.deg());      //this will be 0.00 if not moving //for screen use var: to display this value
    Serial.println();
    delay(4000);
  }
  
}
